Skip to content
Hoursmith Docs
APIReferenceInvoices

List manual payment methods

List manual payment methods. Read-only: id, name, type, enabled, archived, currency, isDefault and fee configuration of the workspace's manual payment methods — use an id as methodId when recording a payment. Bank details, client-facing instructions and internal notes are never returned. Archived methods are excluded unless includeArchived=true. Read scope; Owner/Admin/Manager.

GET
/payment-methods

Authorization

BearerAuth
AuthorizationBearer <token>

Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.

In: header

Query Parameters

includeArchived?string

Include archived methods. Default false.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/payment-methods"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "bank_transfer",      "currency": "string",      "enabled": true,      "archived": true,      "archivedAt": "2019-08-24T14:15:22Z",      "isDefault": true,      "fee": {        "type": "percentage",        "percentage": "string",        "fixedAmount": "string",        "label": "string"      }    }  ],  "warnings": [    "string"  ]}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
Was this page helpful?